GDB (xrefs)

Functions
mi-cmd-info.c File Reference
`#include "defs.h"`
`#include "osdata.h"`
`#include "mi-cmds.h"`
`#include "ada-lang.h"`
`#include "arch-utils.h"`

Go to the source code of this file.

## Functions
void | mi_cmd_info_ada_exceptions (const char *command, char **argv, int argc)
void | mi_cmd_info_gdb_mi_command (const char *command, char **argv, int argc)
void | mi_cmd_info_os (const char *command, char **argv, int argc)

## Function Documentation

## ◆ mi_cmd_info_ada_exceptions()

void mi_cmd_info_ada_exceptions | ( | const char * | command,
|  | char ** | argv,
|  | int | argc
| ) |  |

Definition at line 28 of file mi-cmd-info.c.

References _, ada_exceptions_list(), gdb::argv, current_uiout, error(), ui_out::field_core_addr(), ui_out::field_string(), get_current_arch(), ui_out::table_body(), ui_out::table_header(), and ui_left.

## ◆ mi_cmd_info_gdb_mi_command()

void mi_cmd_info_gdb_mi_command | ( | const char * | command,
|  | char ** | argv,
|  | int | argc
| ) |  |

Definition at line 67 of file mi-cmd-info.c.

References _, gdb::argv, current_uiout, error(), ui_out::field_string(), and mi_lookup().

## ◆ mi_cmd_info_os()

void mi_cmd_info_os | ( | const char * | command,
|  | char ** | argv,
|  | int | argc
| ) |  |

Definition at line 92 of file mi-cmd-info.c.

References _, gdb::argv, error(), and info_osdata().